#ifndef __G_I18N_H__
#define __G_I18N_H__

#include <glib/gstrfuncs.h>

#ifdef ENABLE_NLS

#include <libintl.h>
#define _(String) gettext (String)
#define Q_(String) g_strip_context ((String), gettext (String))
#ifdef gettext_noop
#define N_(String) gettext_noop (String)
#else
#define N_(String) (String)
#endif

#else /* NLS is disabled */

#define _(String) (String)
#define Q_(String) (String)
#define N_(String) (String)
#define textdomain(String) (String)
#define gettext(String) (String)
#define dgettext(Domain,String) (String)
#define dcgettext(Domain,String,Type) (String)
#define bindtextdomain(Domain,Directory) (Domain) 

#endif
 
#endif  /* __G_I18N_H__ */
